Subject: Re: bug#15123: Missing R6RS io port exports
From: Andy Wingo <[email-masked]>
To: Göran Weinholt <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Jun 2016 11:30:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun 18 Aug 2013 14:14, Göran Weinholt <[email-masked]> writes:

> Hello schemers,
>
> these identifiers are not exported by the (rnrs) library:
>
>   &i/o-decoding
>   i/o-decoding-error?
>   &i/o-encoding
>   i/o-encoding-error-char
>   i/o-encoding-error?
>   make-i/o-decoding-error
>   make-i/o-encoding-error
>   output-port-buffer-mode

Fixed, thanks.

> Additionally these identifiers are not exported by (rnrs io ports):
>
>   &i/o-decoding
>   &i/o-encoding
>   output-port-buffer-mode

Fixed as well.

> For completeness I will also mention that these exports are missing from
> both libraries (I assume because their implementation is non-trivial):
>
>   make-custom-binary-input/output-port
>   make-custom-textual-input-port
>   make-custom-textual-input/output-port
>   bytevector->string
>   string->bytevector

I added implementations of bytevector->string and string->bytevector.
Custom textual and binary ports are still a TODO, but it's good enough
to close this bug.

Cheers,

Andy